Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common
Interface ThingsNamespace

All Known Subinterfaces:
  SystemNamespace

    public interface ThingsNamespace

Things name definitions. These should not collide with the `thinger` names.

Version:
  1.0

  Version History

      EPG - Initial - 15 NOV 02
       Updated constantly through the project.

Author:
  Erich P. Gatejen
See Also:
  `

  `

Field Summary
`static java.lang.String` | `ATTR_ACTUAL_STATE`
`static java.lang.String` | `ATTR_DATA_ARGUMENT`
`static java.lang.String` | `ATTR_DATA_ATTRIBUTE_NAME`
`static java.lang.String` | `ATTR_DATA_ATTRIBUTE_VALUE`
`static java.lang.String` | `ATTR_DATA_ATTRIBUTE_VALUE_COUNT`
`static java.lang.String` | `ATTR_DATA_CLASSIFICATION`
`static java.lang.String` | `ATTR_DATA_CLASSIFICATION_CHAR`
`static java.lang.String` | `ATTR_DATA_INDEX`
`static java.lang.String` | `ATTR_DATA_INDEX_BOUNDS`
`static java.lang.String` | `ATTR_DATA_INDEX_BOUNDS_END`
`static java.lang.String` | `ATTR_DATA_INDEX_BOUNDS_START`
`static java.lang.String` | `ATTR_DATA_INDEX_OFFSET`
`static java.lang.String` | `ATTR_DATA_RECEIPT`
`static java.lang.String` | `ATTR_DATA_RECEIPT_NOTE`
`static java.lang.String` | `ATTR_DATA_RECEIPT_STAMP`
`static java.lang.String` | `ATTR_DATA_RECEIPT_TYPE`
`static java.lang.String` | `ATTR_DATA_SIZE`
`static java.lang.String` | `ATTR_DATA_TARGET`
`static java.lang.String` | `ATTR_DATA_TYPE`
`static java.lang.String` | `ATTR_DATA_VALUE`
`static java.lang.String` | `ATTR_ERROR_COMPILATION`
`static java.lang.String` | `ATTR_ERROR_PROCESSING`
`static java.lang.String` | `ATTR_ID`
`static java.lang.String` | `ATTR_LINE_NUMBER`
`static java.lang.String` | `ATTR_LINE_NUMERIC`
`static java.lang.String` | `ATTR_LINE_NUMERIC_CAUSE`
`static java.lang.String` | `ATTR_LINE_VALUE`
`static java.lang.String` | `ATTR_MESSAGE`
`static java.lang.String` | `ATTR_METRIC_ABORT`
`static java.lang.String` | `ATTR_METRIC_CASES`
`static java.lang.String` | `ATTR_METRIC_COUNT`
`static java.lang.String` | `ATTR_METRIC_DIFFERENCE`
`static java.lang.String` | `ATTR_METRIC_EXCEPTION`
`static java.lang.String` | `ATTR_METRIC_FAIL`
`static java.lang.String` | `ATTR_METRIC_INCONCLUSIVE`
`static java.lang.String` | `ATTR_METRIC_MILLIS`
`static java.lang.String` | `ATTR_METRIC_PASS`
`static java.lang.String` | `ATTR_MODULE_NAME`
`static java.lang.String` | `ATTR_PARAMETER_HELP`
`static java.lang.String` | `ATTR_PARAMETER_ITEM_NUMBER`
`static java.lang.String` | `ATTR_PARAMETER_ITEM_NUMBER_EXPECTED`
`static java.lang.String` | `ATTR_PARAMETER_META`
`static java.lang.String` | `ATTR_PARAMETER_NAME`
`static java.lang.String` | `ATTR_PARAMETER_VALUE`
`static java.lang.String` | `ATTR_PLATFORM_CLASS`
`static java.lang.String` | `ATTR_PLATFORM_CLASS_ACTUAL`
`static java.lang.String` | `ATTR_PLATFORM_CLASS_PROPOSED`
`static java.lang.String` | `ATTR_PLATFORM_FILE_NAME`
`static java.lang.String` | `ATTR_PLATFORM_FILE_PATH`
`static java.lang.String` | `ATTR_PLATFORM_MESSAGE`
`static java.lang.String` | `ATTR_PLATFORM_MESSAGE_COMPLETE`
`static java.lang.String` | `ATTR_PLATFORM_MESSAGE_COMPLETE_ORIGINAL`
`static java.lang.String` | `ATTR_PLATFORM_MESSAGE_ORIGINAL`
`static java.lang.String` | `ATTR_PLATFORM_TRACE`
`static java.lang.String` | `ATTR_PROCESSING_HTTP_ACTION`
`static java.lang.String` | `ATTR_PROCESSING_HTTP_METHOD`
`static java.lang.String` | `ATTR_PROCESSING_HTTP_PAGE`
`static java.lang.String` | `ATTR_PROCESSING_HTTP_PAGE_LOCATION`
`static java.lang.String` | `ATTR_PROCESSING_HTTP_PATH`
`static java.lang.String` | `ATTR_PROPERTY_ENTRY`
`static java.lang.String` | `ATTR_PROPERTY_NAME`
`static java.lang.String` | `ATTR_PROPERTY_PATH`
`static java.lang.String` | `ATTR_PROPERTY_TRUNK_MODE`
`static java.lang.String` | `ATTR_PROPERTY_VALIDATION`
`static java.lang.String` | `ATTR_PROPERTY_VALUE`
`static java.lang.String` | `ATTR_REASON_NUMBER`
`static java.lang.String` | `ATTR_RETRIES`
`static java.lang.String` | `ATTR_SEQUENCE_NUMBER`
`static java.lang.String` | `ATTR_SEQUENCE_NUMBER_ACTUAL`
`static java.lang.String` | `ATTR_SEQUENCE_NUMBER_EXPECTED`
`static java.lang.String` | `ATTR_STATE`
`static java.lang.String` | `ATTR_STATE_VALUE`
`static java.lang.String` | `ATTR_THING_CLUSTER_NODE_NAME`
`static java.lang.String` | `ATTR_THING_NAME`
`static java.lang.String` | `ATTR_THING_NAME_ACTUAL`
`static java.lang.String` | `ATTR_THING_PROCESS_ID`
`static java.lang.String` | `ATTR_THING_PROPOSED`
`static java.lang.String` | `ATTR_THING_RESULT_DESCRIPTION`
`static java.lang.String` | `ATTR_THING_RESULT_NAME`
`static java.lang.String` | `ATTR_THING_RESULT_TYPE`
`static java.lang.String` | `ATTR_TRANSPORT_ADDRESS`
`static java.lang.String` | `ATTR_TRANSPORT_CLIENT_NAME`
`static java.lang.String` | `ATTR_TRANSPORT_CODE`
`static java.lang.String` | `ATTR_TRANSPORT_PORT`
`static java.lang.String` | `ATTR_TRANSPORT_SENT`
`static java.lang.String` | `ATTR_TRANSPORT_SENT_SIZE`
`static java.lang.String` | `ATTR_TRANSPORT_SENT_SIZE_ACTUAL`
`static java.lang.String` | `ATTR_TRANSPORT_SEQUENCE`
`static java.lang.String` | `ATTR_UNIVERSE_ID`
`static java.lang.String` | `ATTR_UNIVERSE_NAME`
`static java.lang.String` | `ATTR_UNIVERSE_PATH`
`static java.lang.String` | `ATTR_UNIVERSE_UADDY`
`static java.lang.String` | `VALUE_OK`

Field Detail

### VALUE_OK

    static final java.lang.String VALUE_OK

See Also:
  Constant Field Values

### ATTR_MESSAGE

    static final java.lang.String ATTR_MESSAGE

See Also:
  Constant Field Values

### ATTR_ID

    static final java.lang.String ATTR_ID

See Also:
  Constant Field Values

### ATTR_STATE

    static final java.lang.String ATTR_STATE

See Also:
  Constant Field Values

### ATTR_ACTUAL_STATE

    static final java.lang.String ATTR_ACTUAL_STATE

See Also:
  Constant Field Values

### ATTR_LINE_NUMERIC

    static final java.lang.String ATTR_LINE_NUMERIC

See Also:
  Constant Field Values

### ATTR_LINE_NUMERIC_CAUSE

    static final java.lang.String ATTR_LINE_NUMERIC_CAUSE

See Also:
  Constant Field Values

### ATTR_LINE_NUMBER

    static final java.lang.String ATTR_LINE_NUMBER

See Also:
  Constant Field Values

### ATTR_LINE_VALUE

    static final java.lang.String ATTR_LINE_VALUE

See Also:
  Constant Field Values

### ATTR_RETRIES

    static final java.lang.String ATTR_RETRIES

See Also:
  Constant Field Values

### ATTR_DATA_TYPE

    static final java.lang.String ATTR_DATA_TYPE

See Also:
  Constant Field Values

### ATTR_DATA_INDEX

    static final java.lang.String ATTR_DATA_INDEX

See Also:
  Constant Field Values

### ATTR_DATA_INDEX_OFFSET

    static final java.lang.String ATTR_DATA_INDEX_OFFSET

See Also:
  Constant Field Values

### ATTR_DATA_SIZE

    static final java.lang.String ATTR_DATA_SIZE

See Also:
  Constant Field Values

### ATTR_DATA_TARGET

    static final java.lang.String ATTR_DATA_TARGET

See Also:
  Constant Field Values

### ATTR_DATA_INDEX_BOUNDS

    static final java.lang.String ATTR_DATA_INDEX_BOUNDS

See Also:
  Constant Field Values

### ATTR_DATA_INDEX_BOUNDS_START

    static final java.lang.String ATTR_DATA_INDEX_BOUNDS_START

See Also:
  Constant Field Values

### ATTR_DATA_INDEX_BOUNDS_END

    static final java.lang.String ATTR_DATA_INDEX_BOUNDS_END

See Also:
  Constant Field Values

### ATTR_DATA_ATTRIBUTE_NAME

    static final java.lang.String ATTR_DATA_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### ATTR_DATA_ATTRIBUTE_VALUE

    static final java.lang.String ATTR_DATA_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### ATTR_DATA_ATTRIBUTE_VALUE_COUNT

    static final java.lang.String ATTR_DATA_ATTRIBUTE_VALUE_COUNT

See Also:
  Constant Field Values

### ATTR_DATA_ARGUMENT

    static final java.lang.String ATTR_DATA_ARGUMENT

See Also:
  Constant Field Values

### ATTR_DATA_VALUE

    static final java.lang.String ATTR_DATA_VALUE

See Also:
  Constant Field Values

### ATTR_DATA_CLASSIFICATION

    static final java.lang.String ATTR_DATA_CLASSIFICATION

See Also:
  Constant Field Values

### ATTR_DATA_CLASSIFICATION_CHAR

    static final java.lang.String ATTR_DATA_CLASSIFICATION_CHAR

See Also:
  Constant Field Values

### ATTR_DATA_RECEIPT

    static final java.lang.String ATTR_DATA_RECEIPT

See Also:
  Constant Field Values

### ATTR_DATA_RECEIPT_TYPE

    static final java.lang.String ATTR_DATA_RECEIPT_TYPE

See Also:
  Constant Field Values

### ATTR_DATA_RECEIPT_NOTE

    static final java.lang.String ATTR_DATA_RECEIPT_NOTE

See Also:
  Constant Field Values

### ATTR_DATA_RECEIPT_STAMP

    static final java.lang.String ATTR_DATA_RECEIPT_STAMP

See Also:
  Constant Field Values

### ATTR_PLATFORM_TRACE

    static final java.lang.String ATTR_PLATFORM_TRACE

See Also:
  Constant Field Values

### ATTR_PLATFORM_CLASS

    static final java.lang.String ATTR_PLATFORM_CLASS

See Also:
  Constant Field Values

### ATTR_PLATFORM_CLASS_ACTUAL

    static final java.lang.String ATTR_PLATFORM_CLASS_ACTUAL

See Also:
  Constant Field Values

### ATTR_PLATFORM_CLASS_PROPOSED

    static final java.lang.String ATTR_PLATFORM_CLASS_PROPOSED

See Also:
  Constant Field Values

### ATTR_PLATFORM_MESSAGE

    static final java.lang.String ATTR_PLATFORM_MESSAGE

See Also:
  Constant Field Values

### ATTR_PLATFORM_MESSAGE_COMPLETE

    static final java.lang.String ATTR_PLATFORM_MESSAGE_COMPLETE

See Also:
  Constant Field Values

### ATTR_PLATFORM_MESSAGE_ORIGINAL

    static final java.lang.String ATTR_PLATFORM_MESSAGE_ORIGINAL

See Also:
  Constant Field Values

### ATTR_PLATFORM_MESSAGE_COMPLETE_ORIGINAL

    static final java.lang.String ATTR_PLATFORM_MESSAGE_COMPLETE_ORIGINAL

See Also:
  Constant Field Values

### ATTR_PLATFORM_FILE_NAME

    static final java.lang.String ATTR_PLATFORM_FILE_NAME

See Also:
  Constant Field Values

### ATTR_PLATFORM_FILE_PATH

    static final java.lang.String ATTR_PLATFORM_FILE_PATH

See Also:
  Constant Field Values

### ATTR_PROPERTY_NAME

    static final java.lang.String ATTR_PROPERTY_NAME

See Also:
  Constant Field Values

### ATTR_PROPERTY_VALUE

    static final java.lang.String ATTR_PROPERTY_VALUE

See Also:
  Constant Field Values

### ATTR_PROPERTY_PATH

    static final java.lang.String ATTR_PROPERTY_PATH

See Also:
  Constant Field Values

### ATTR_PROPERTY_ENTRY

    static final java.lang.String ATTR_PROPERTY_ENTRY

See Also:
  Constant Field Values

### ATTR_PROPERTY_VALIDATION

    static final java.lang.String ATTR_PROPERTY_VALIDATION

See Also:
  Constant Field Values

### ATTR_PROPERTY_TRUNK_MODE

    static final java.lang.String ATTR_PROPERTY_TRUNK_MODE

See Also:
  Constant Field Values

### ATTR_STATE_VALUE

    static final java.lang.String ATTR_STATE_VALUE

See Also:
  Constant Field Values

### ATTR_UNIVERSE_NAME

    static final java.lang.String ATTR_UNIVERSE_NAME

See Also:
  Constant Field Values

### ATTR_UNIVERSE_ID

    static final java.lang.String ATTR_UNIVERSE_ID

See Also:
  Constant Field Values

### ATTR_UNIVERSE_PATH

    static final java.lang.String ATTR_UNIVERSE_PATH

See Also:
  Constant Field Values

### ATTR_UNIVERSE_UADDY

    static final java.lang.String ATTR_UNIVERSE_UADDY

See Also:
  Constant Field Values

### ATTR_REASON_NUMBER

    static final java.lang.String ATTR_REASON_NUMBER

See Also:
  Constant Field Values

### ATTR_SEQUENCE_NUMBER

    static final java.lang.String ATTR_SEQUENCE_NUMBER

See Also:
  Constant Field Values

### ATTR_SEQUENCE_NUMBER_EXPECTED

    static final java.lang.String ATTR_SEQUENCE_NUMBER_EXPECTED

See Also:
  Constant Field Values

### ATTR_SEQUENCE_NUMBER_ACTUAL

    static final java.lang.String ATTR_SEQUENCE_NUMBER_ACTUAL

See Also:
  Constant Field Values

### ATTR_THING_NAME

    static final java.lang.String ATTR_THING_NAME

See Also:
  Constant Field Values

### ATTR_THING_PROCESS_ID

    static final java.lang.String ATTR_THING_PROCESS_ID

See Also:
  Constant Field Values

### ATTR_THING_NAME_ACTUAL

    static final java.lang.String ATTR_THING_NAME_ACTUAL

See Also:
  Constant Field Values

### ATTR_THING_PROPOSED

    static final java.lang.String ATTR_THING_PROPOSED

See Also:
  Constant Field Values

### ATTR_THING_RESULT_NAME

    static final java.lang.String ATTR_THING_RESULT_NAME

See Also:
  Constant Field Values

### ATTR_THING_RESULT_DESCRIPTION

    static final java.lang.String ATTR_THING_RESULT_DESCRIPTION

See Also:
  Constant Field Values

### ATTR_THING_RESULT_TYPE

    static final java.lang.String ATTR_THING_RESULT_TYPE

See Also:
  Constant Field Values

### ATTR_THING_CLUSTER_NODE_NAME

    static final java.lang.String ATTR_THING_CLUSTER_NODE_NAME

See Also:
  Constant Field Values

### ATTR_MODULE_NAME

    static final java.lang.String ATTR_MODULE_NAME

See Also:
  Constant Field Values

### ATTR_METRIC_COUNT

    static final java.lang.String ATTR_METRIC_COUNT

See Also:
  Constant Field Values

### ATTR_METRIC_MILLIS

    static final java.lang.String ATTR_METRIC_MILLIS

See Also:
  Constant Field Values

### ATTR_METRIC_DIFFERENCE

    static final java.lang.String ATTR_METRIC_DIFFERENCE

See Also:
  Constant Field Values

### ATTR_METRIC_CASES

    static final java.lang.String ATTR_METRIC_CASES

See Also:
  Constant Field Values

### ATTR_METRIC_PASS

    static final java.lang.String ATTR_METRIC_PASS

See Also:
  Constant Field Values

### ATTR_METRIC_FAIL

    static final java.lang.String ATTR_METRIC_FAIL

See Also:
  Constant Field Values

### ATTR_METRIC_INCONCLUSIVE

    static final java.lang.String ATTR_METRIC_INCONCLUSIVE

See Also:
  Constant Field Values

### ATTR_METRIC_ABORT

    static final java.lang.String ATTR_METRIC_ABORT

See Also:
  Constant Field Values

### ATTR_METRIC_EXCEPTION

    static final java.lang.String ATTR_METRIC_EXCEPTION

See Also:
  Constant Field Values

### ATTR_PARAMETER_NAME

    static final java.lang.String ATTR_PARAMETER_NAME

See Also:
  Constant Field Values

### ATTR_PARAMETER_VALUE

    static final java.lang.String ATTR_PARAMETER_VALUE

See Also:
  Constant Field Values

### ATTR_PARAMETER_HELP

    static final java.lang.String ATTR_PARAMETER_HELP

See Also:
  Constant Field Values

### ATTR_PARAMETER_ITEM_NUMBER

    static final java.lang.String ATTR_PARAMETER_ITEM_NUMBER

See Also:
  Constant Field Values

### ATTR_PARAMETER_ITEM_NUMBER_EXPECTED

    static final java.lang.String ATTR_PARAMETER_ITEM_NUMBER_EXPECTED

See Also:
  Constant Field Values

### ATTR_PARAMETER_META

    static final java.lang.String ATTR_PARAMETER_META

See Also:
  Constant Field Values

### ATTR_PROCESSING_HTTP_ACTION

    static final java.lang.String ATTR_PROCESSING_HTTP_ACTION

See Also:
  Constant Field Values

### ATTR_PROCESSING_HTTP_METHOD

    static final java.lang.String ATTR_PROCESSING_HTTP_METHOD

See Also:
  Constant Field Values

### ATTR_PROCESSING_HTTP_PAGE

    static final java.lang.String ATTR_PROCESSING_HTTP_PAGE

See Also:
  Constant Field Values

### ATTR_PROCESSING_HTTP_PAGE_LOCATION

    static final java.lang.String ATTR_PROCESSING_HTTP_PAGE_LOCATION

See Also:
  Constant Field Values

### ATTR_PROCESSING_HTTP_PATH

    static final java.lang.String ATTR_PROCESSING_HTTP_PATH

See Also:
  Constant Field Values

### ATTR_ERROR_PROCESSING

    static final java.lang.String ATTR_ERROR_PROCESSING

See Also:
  Constant Field Values

### ATTR_ERROR_COMPILATION

    static final java.lang.String ATTR_ERROR_COMPILATION

See Also:
  Constant Field Values

### ATTR_TRANSPORT_ADDRESS

    static final java.lang.String ATTR_TRANSPORT_ADDRESS

See Also:
  Constant Field Values

### ATTR_TRANSPORT_PORT

    static final java.lang.String ATTR_TRANSPORT_PORT

See Also:
  Constant Field Values

### ATTR_TRANSPORT_CLIENT_NAME

    static final java.lang.String ATTR_TRANSPORT_CLIENT_NAME

See Also:
  Constant Field Values

### ATTR_TRANSPORT_CODE

    static final java.lang.String ATTR_TRANSPORT_CODE

See Also:
  Constant Field Values

### ATTR_TRANSPORT_SENT

    static final java.lang.String ATTR_TRANSPORT_SENT

See Also:
  Constant Field Values

### ATTR_TRANSPORT_SENT_SIZE

    static final java.lang.String ATTR_TRANSPORT_SENT_SIZE

See Also:
  Constant Field Values

### ATTR_TRANSPORT_SENT_SIZE_ACTUAL

    static final java.lang.String ATTR_TRANSPORT_SENT_SIZE_ACTUAL

See Also:
  Constant Field Values

### ATTR_TRANSPORT_SEQUENCE

    static final java.lang.String ATTR_TRANSPORT_SEQUENCE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.